View Issue Details

IDProjectCategoryView StatusLast Update
0020481mantisbtfilterspublic2016-06-12 00:43
ReportercproensaAssigned Tocproensa 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020481: Plugin filter fields dont use dynamic filter expansion
Description

When registered a filter field through plugin event (EVENT_FILTER_FIELDS), the field rendered inthe filter section dont use the dynamic expansion feature, eventhough it's supported. Instead, redirects to the filter edition static page.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master d6ea7fb4

2016-01-05 07:35:28

cproensa


Committer: dregad Details Diff
Use dynamic filter expansion for plugin filters

Plugin-registered filter fields are not rendered with the dynamic
expansion feature, even though it is supported.

Added the class to the link tag to enable the script on plugin filter
fields.

Fixes 0020481

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2016-01-05 10:27 cproensa New Issue
2016-01-05 10:37 cproensa Note Added: 0052255
2016-01-05 11:47 dregad Changeset attached => MantisBT master d6ea7fb4
2016-01-05 11:47 dregad Assigned To => dregad
2016-01-05 11:47 dregad Status new => resolved
2016-01-05 11:47 dregad Resolution open => fixed
2016-01-05 11:47 dregad Fixed in Version => 1.3.0-rc.2
2016-01-05 11:47 dregad Assigned To dregad => community
2016-01-05 11:47 dregad Target Version => 1.3.0-rc.2
2016-01-19 15:21 atrol Assigned To community => cproensa
2016-06-12 00:43 vboctor Status resolved => closed